This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 740635 - repoquery -g dies with traceback
repoquery -g dies with traceback
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: yum-utils (Show other bugs)
15
Unspecified Linux
unspecified Severity high
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-09-22 14:43 EDT by Chris Tyler
Modified: 2014-01-21 18:19 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-09-22 14:45:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Chris Tyler 2011-09-22 14:43:17 EDT
Description of problem:
repoquery dies with a traceback if used with the -g option

Version-Release number of selected component (if applicable):
1.1.31 -- this problem *does not* appear in 1.1.30

Steps to Reproduce:
1. run: repoquery -g -l base
  
Actual results:
$ repoquery -g -l base
Traceback (most recent call last):
  File "/usr/bin/repoquery", line 1406, in <module>
    main(sys.argv)
  File "/usr/bin/repoquery", line 1400, in main
    repoq.runQuery(regexs)
  File "/usr/bin/repoquery", line 990, in runQuery
    dot = self.options.dot)
  File "/usr/bin/repoquery", line 717, in doQuery
    return "\n".join(getattr(self, "fmt_%s" % method)(*args, **kw))
TypeError: fmt_list() got an unexpected keyword argument 'output'


Expected results:
$ repoquery -g -l base|head
yum-utils
openssh-clients
vconfig
dump
nss_db
acpid
sudo
...etc...
Comment 1 Chris Tyler 2011-09-22 14:45:34 EDT
geppetto reports this is closed upstream.

Note You need to log in before you can comment on or make changes to this bug.